package com.renitha.Model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class SetterComplaintDetails
{
    @SerializedName("error")
    private Boolean error;

    @SerializedName("message")
    private String message;

    @SerializedName("ticket_no")
    private String ticket_no;

    @SerializedName("tbl_ticket_entry_id")
    private String tbl_ticket_entry_id;

    @SerializedName("ticket_date")
    private String ticket_date;

    @SerializedName("complaint_type")
    private String complaint_type;

    @SerializedName("serialno")
    private String serialno;

    @SerializedName("category_name")
    private String category_name;

    @SerializedName("product_id")
    private String product_id;

    @SerializedName("make")
    private String make;

    @SerializedName("model")
    private String model;

    @SerializedName("ticket_priority")
    private String ticket_priority;

    @SerializedName("equp_cond")
    private String equp_cond;

    @SerializedName("remark")
    private String remark;

    @SerializedName("assign_date")
    private String assign_date;

    @SerializedName("completed_date")
    private String completed_date;

    @SerializedName("flag")
    private String flag;

    @SerializedName("assign_flag")
    private String assign_flag;

    @SerializedName("user_name")
    private String user_name;

    @SerializedName("user_contact")
    private String user_contact;

    @SerializedName("user_email")
    private String user_email;

    @SerializedName("cust_name")
    private String cust_name;

    @SerializedName("cust_contact")
    private String cust_contact;

    @SerializedName("cust_email")
    private String cust_email;

    @SerializedName("hospital_name")
    private String hospital_name;

    @SerializedName("hospital_address")
    private String hospital_address;

    @SerializedName("service_pdf_url")
    private String service_pdf_url;

    @SerializedName("photos")
    @Expose
    private List<SetterPhoto> photoList=null;

    public List<SetterPhoto> getPhotoList() {
        return photoList;
    }
    public void setPhotoList(List<SetterPhoto> photoList) {
        this.photoList = photoList;
    }
    public Boolean getError() {
        return error;
    }

    public void setError(Boolean error) {
        this.error = error;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getTicket_no() {
        return ticket_no;
    }

    public void setTicket_no(String ticket_no) {
        this.ticket_no = ticket_no;
    }

    public String getTbl_ticket_entry_id() {
        return tbl_ticket_entry_id;
    }

    public void setTbl_ticket_entry_id(String tbl_ticket_entry_id) {
        this.tbl_ticket_entry_id = tbl_ticket_entry_id;
    }

    public String getTicket_date() {
        return ticket_date;
    }

    public void setTicket_date(String ticket_date) {
        this.ticket_date = ticket_date;
    }

    public String getComplaint_type() {
        return complaint_type;
    }

    public void setComplaint_type(String complaint_type) {
        this.complaint_type = complaint_type;
    }

    public String getSerialno() {
        return serialno;
    }

    public void setSerialno(String serialno) {
        this.serialno = serialno;
    }

    public String getCategory_name() {
        return category_name;
    }

    public void setCategory_name(String category_name) {
        this.category_name = category_name;
    }

    public String getProduct_id() {
        return product_id;
    }

    public void setProduct_id(String product_id) {
        this.product_id = product_id;
    }

    public String getMake() {
        return make;
    }

    public void setMake(String make) {
        this.make = make;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getTicket_priority() {
        return ticket_priority;
    }

    public void setTicket_priority(String ticket_priority) {
        this.ticket_priority = ticket_priority;
    }

    public String getEqup_cond() {
        return equp_cond;
    }

    public void setEqup_cond(String equp_cond) {
        this.equp_cond = equp_cond;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAssign_date() {
        return assign_date;
    }

    public void setAssign_date(String assign_date) {
        this.assign_date = assign_date;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getAssign_flag() {
        return assign_flag;
    }

    public void setAssign_flag(String assign_flag) {
        this.assign_flag = assign_flag;
    }

    public String getUser_name() {
        return user_name;
    }

    public void setUser_name(String user_name) {
        this.user_name = user_name;
    }

    public String getUser_contact() {
        return user_contact;
    }

    public void setUser_contact(String user_contact) {
        this.user_contact = user_contact;
    }

    public String getCust_name() {
        return cust_name;
    }

    public void setCust_name(String cust_name) {
        this.cust_name = cust_name;
    }

    public String getCust_contact() {
        return cust_contact;
    }

    public void setCust_contact(String cust_contact) {
        this.cust_contact = cust_contact;
    }

    public String getHospital_name() {
        return hospital_name;
    }

    public void setHospital_name(String hospital_name) {
        this.hospital_name = hospital_name;
    }

    public String getHospital_address() {
        return hospital_address;
    }

    public void setHospital_address(String hospital_address) {
        this.hospital_address = hospital_address;
    }

    public String getCompleted_date() {
        return completed_date;
    }

    public void setCompleted_date(String completed_date) {
        this.completed_date = completed_date;
    }

    public String getCust_email() {
        return cust_email;
    }

    public void setCust_email(String cust_email) {
        this.cust_email = cust_email;
    }

    public String getUser_email() {
        return user_email;
    }

    public void setUser_email(String user_email) {
        this.user_email = user_email;
    }

    public String getService_pdf_url() {
        return service_pdf_url;
    }

    public void setService_pdf_url(String service_pdf_url) {
        this.service_pdf_url = service_pdf_url;
    }
}
